# wxTextAttrBorder Class Reference
[Rich Text]

`#include <wx/richtext/richtextbuffer.h>`

## Detailed Description

A class representing a rich text object border.

##

Library: wxRichText

Category: Rich Text

See also:
  wxRichTextAttr, wxRichTextCtrl, wxRichTextAttrBorders

## Public Member Functions
| wxTextAttrBorder ()
| Default constructor.
bool | operator== (const wxTextAttrBorder &border) const
| Equality operator.
void | Reset ()
| Resets the border style, colour, width and flags.
bool | EqPartial (const wxTextAttrBorder &border) const
| Partial equality test.
bool | Apply (const wxTextAttrBorder &border, const wxTextAttrBorder *compareWith=NULL)
| Applies the border to this object, but not if the same as compareWith.
bool | RemoveStyle (const wxTextAttrBorder &attr)
| Removes the specified attributes from this object.
void | CollectCommonAttributes (const wxTextAttrBorder &attr, wxTextAttrBorder &clashingAttr, wxTextAttrBorder &absentAttr)
| Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects.
void | SetStyle (int style)
| Sets the border style.
int | GetStyle () const
| Gets the border style.
void | SetColour (unsigned long colour)
| Sets the border colour.
void | SetColour (const wxColour &colour)
| Sets the border colour.
unsigned long | GetColourLong () const
| Gets the colour as a long.
wxColour | GetColour () const
| Gets the colour.
wxTextAttrDimension & | GetWidth ()
| Gets the border width.
const wxTextAttrDimension & | GetWidth () const
void | SetWidth (const wxTextAttrDimension &width)
| Sets the border width.
void | SetWidth (int value, wxTextAttrUnits units=wxTEXT_ATTR_UNITS_TENTHS_MM)
| Sets the border width.
bool | HasStyle () const
| True if the border has a valid style.
bool | HasColour () const
| True if the border has a valid colour.
bool | HasWidth () const
| True if the border has a valid width.
bool | IsValid () const
| True if the border is valid.
void | MakeValid ()
| Set the valid flag for this border.
int | GetFlags () const
| Returns the border flags.
void | SetFlags (int flags)
| Sets the border flags.
void | AddFlag (int flag)
| Adds a border flag.
void | RemoveFlag (int flag)
| Removes a border flag.
## Public Attributes
int | m_borderStyle
unsigned long | m_borderColour
wxTextAttrDimension | m_borderWidth
int | m_flags

List of all members.

## Constructor & Destructor Documentation

wxTextAttrBorder::wxTextAttrBorder | ( |  | ) | `[inline]`

Default constructor.

## Member Function Documentation

void wxTextAttrBorder::AddFlag | ( | int | flag | ) | `[inline]`

Adds a border flag.

bool wxTextAttrBorder::Apply | ( | const wxTextAttrBorder & | border,
|  | const wxTextAttrBorder * | compareWith = `NULL` |
| ) |  |  |

Applies the border to this object, but not if the same as compareWith.

void wxTextAttrBorder::CollectCommonAttributes | ( | const wxTextAttrBorder & | attr,
|  | wxTextAttrBorder & | clashingAttr,
|  | wxTextAttrBorder & | absentAttr |
| ) |  |  |

Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects.

bool wxTextAttrBorder::EqPartial | ( | const wxTextAttrBorder & | border | ) | const

Partial equality test.

wxColour wxTextAttrBorder::GetColour | ( |  | ) | const`[inline]`

Gets the colour.

unsigned long wxTextAttrBorder::GetColourLong | ( |  | ) | const`[inline]`

Gets the colour as a long.

int wxTextAttrBorder::GetFlags | ( |  | ) | const`[inline]`

Returns the border flags.

int wxTextAttrBorder::GetStyle | ( |  | ) | const`[inline]`

Gets the border style.

const wxTextAttrDimension& wxTextAttrBorder::GetWidth | ( |  | ) | const`[inline]`

wxTextAttrDimension& wxTextAttrBorder::GetWidth | ( |  | ) | `[inline]`

Gets the border width.

bool wxTextAttrBorder::HasColour | ( |  | ) | const`[inline]`

True if the border has a valid colour.

bool wxTextAttrBorder::HasStyle | ( |  | ) | const`[inline]`

True if the border has a valid style.

bool wxTextAttrBorder::HasWidth | ( |  | ) | const`[inline]`

True if the border has a valid width.

bool wxTextAttrBorder::IsValid | ( |  | ) | const`[inline]`

True if the border is valid.

void wxTextAttrBorder::MakeValid | ( |  | ) | `[inline]`

Set the valid flag for this border.

bool wxTextAttrBorder::operator== | ( | const wxTextAttrBorder & | border | ) | const`[inline]`

Equality operator.

void wxTextAttrBorder::RemoveFlag | ( | int | flag | ) | `[inline]`

Removes a border flag.

bool wxTextAttrBorder::RemoveStyle | ( | const wxTextAttrBorder & | attr | ) |

Removes the specified attributes from this object.

void wxTextAttrBorder::Reset | ( |  | ) | `[inline]`

Resets the border style, colour, width and flags.

void wxTextAttrBorder::SetColour | ( | const wxColour & | colour | ) | `[inline]`

Sets the border colour.

void wxTextAttrBorder::SetColour | ( | unsigned long | colour | ) | `[inline]`

Sets the border colour.

void wxTextAttrBorder::SetFlags | ( | int | flags | ) | `[inline]`

Sets the border flags.

void wxTextAttrBorder::SetStyle | ( | int | style | ) | `[inline]`

Sets the border style.

void wxTextAttrBorder::SetWidth | ( | int | value,
|  | wxTextAttrUnits | units = `wxTEXT_ATTR_UNITS_TENTHS_MM` |
| ) |  |  | `[inline]`

Sets the border width.

void wxTextAttrBorder::SetWidth | ( | const wxTextAttrDimension & | width | ) | `[inline]`

Sets the border width.

## Member Data Documentation

unsigned long wxTextAttrBorder::m_borderColour

int wxTextAttrBorder::m_borderStyle

wxTextAttrDimension wxTextAttrBorder::m_borderWidth

int wxTextAttrBorder::m_flags

|  | [ top ]